Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tapestry5.internal.services
Class OptimizedSessionPersistedObjectAnalyzer

    java.lang.Object
      org.apache.tapestry5.internal.services.OptimizedSessionPersistedObjectAnalyzer

All Implemented Interfaces:
  SessionPersistedObjectAnalyzer<OptimizedSessionPersistedObject>

    public class OptimizedSessionPersistedObjectAnalyzer

extends java.lang.Object
implements SessionPersistedObjectAnalyzer<OptimizedSessionPersistedObject>

Constructor Summary
`OptimizedSessionPersistedObjectAnalyzer()`

Method Summary
`boolean` | `checkAndResetDirtyState(OptimizedSessionPersistedObject sessionPersistedObject)` Atomically check and reset the dirty state of the session persisted object.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OptimizedSessionPersistedObjectAnalyzer

    public OptimizedSessionPersistedObjectAnalyzer()

Method Detail

### checkAndResetDirtyState

    public boolean checkAndResetDirtyState(OptimizedSessionPersistedObject sessionPersistedObject)

  Description copied from interface: `SessionPersistedObjectAnalyzer`
  Atomically check and reset the dirty state of the session persisted object.

  The implementer should take consideration for the fact that session attributes are accessed concurrently. A naive check/set algorithm may allow changes to go un-noticed.

  Specified by:
    `checkAndResetDirtyState` in interface `SessionPersistedObjectAnalyzer<OptimizedSessionPersistedObject>`
  Parameters:
    `sessionPersistedObject` - the session attribute (never null)
  Returns:
    true if the object needs to be re-stored into the session

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2012 The Apache Software Foundation.